#ifndef _KLTCORNERDETECTOR_H_
#define _KLTCORNERDETECTOR_H_

#include "CornerDetector.h"

class KLTCornerDetector : public CornerDetector
{
public:
	KLTCornerDetector( int maxCorners );

	virtual void detect( const unsigned char* img, int w, int h );

	virtual void refreshDetection() { _reselectFeaturesOnNextFrame = true; }

	virtual int getType()
	{
		return 1;
	}

private:
	
	int* _featureValues;

	bool _reselectFeaturesOnNextFrame;
};

#endif